Last Comment Bug 421840 - land attachment 308078 [details] [diff] [review] on trunk to fix regressions from 415034
: land attachment 308078 on trunk to fix regressions from 415034
Status: RESOLVED FIXED
: verified1.8.1.13
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: All All
-- normal (vote)
: ---
Assigned To: Daniel Veditz [:dveditz]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks: 419116
  Show dependency treegraph
 
Reported: 2008-03-09 18:55 PDT by Daniel Veditz [:dveditz]
Modified: 2008-03-17 14:36 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Daniel Veditz [:dveditz] 2008-03-09 18:55:47 PDT
the fix for bug 415034 (referrer-eating via :pass@) broke sending mail through SMTP servers without a user:pass field (bug 419116)

A mailnews-only fix for 419116 specifically has landed on the trunk, but we ought to fix the base nsURLParsers issue in case any other apps/addons use similar logic. We need to land attachment 308078 [details] [diff] [review] from bug 419116 on the trunk (reviewed by biesi and neil).

Already landed on 1.8 branch.
Comment 1 User image Daniel Veditz [:dveditz] 2008-03-14 18:32:49 PDT
Fix in bug 419116 checked into trunk.
Comment 2 User image Stephen Donner [:stephend] 2008-03-17 14:36:21 PDT
Verified FIXED on branch (that it was checked in), using Bonsai:

http://bonsai.mozilla.org/cvsview2.cgi?diff_mode=context&whitespace_mode=show&file=nsURLParsers.cpp&branch=MOZILLA_1_8_BRANCH&root=/cvsroot&subdir=/mozilla/netwerk/base/src&command=DIFF_FRAMESET&rev1=1.23.20.1&rev2=1.23.20.2

Replacing fixed1.8.1.13 with verified1.8.1.13

Note You need to log in before you can comment on or make changes to this bug.